import { request } from "./request.js";
import { product_response } from "./product_response.js";

export class product_get_request extends request {
    #barcode;

    constructor(barcode) {
        super();

        this.#barcode = barcode;
    }

    get _response() {
        return product_response;
    }

    get data() {
        return null;
    }

    get method() {
        return "GET";
    }

    get url() {
        return "/product/get/barcode/" + new String(this.#barcode);
    }
}